/**
 *
 * Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.apache.geronimo.transaction.manager;


import javax.transaction.xa.Xid;

/**
 *
 *
 * @version $Revision: 1.1 $ $Date: 2004/06/11 19:20:55 $
 *
 * */
public class TransactionBranchInfoImpl implements TransactionBranchInfo {

    private final Xid branchXid;
    private final String resourceName;

    public TransactionBranchInfoImpl(Xid branchXid, String resourceName) {
        this.branchXid = branchXid;
        this.resourceName = resourceName;
    }

    public Xid getBranchXid() {
        return branchXid;
    }

    public String getResourceName() {
        return resourceName;
    }
}
